STRUCT TEMPL(3)

NAME
boost::intrusive::hashtable::node_cast_adaptor

SYNOPSIS

// In header: <boost/intrusive/hashtable.hpp>
template<typename F>
struct node_cast_adaptor {
  // types
  typedef unspecified base_t;
  // construct/copy/destruct
  template<typename ConvertibleToF>
    node_cast_adaptor(const ConvertibleToF &, const hashtable *);
  // public member functions
  base_t::node_ptr operator()(const typename slist::node &);
  void operator()(typename slist::node_ptr);
};

DESCRIPTION

  node_cast_adaptor public construct/copy/destruct

    1.

    template<typename ConvertibleToF>
      node_cast_adaptor(const ConvertibleToF & c2f, const hashtable * cont);

  node_cast_adaptor public member functions

    1.

    base_t::node_ptr operator()(const typename slist::node & to_clone);

    2.

    void operator()(typename slist::node_ptr to_clone);